/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interfaces.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Interfaces::test_map"
  bool Interfaces::test_map (bool top_level)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    bool _return = true;

    log_printf(INFO,Behavioural,FUNCTION, "   * Interfaces \"%s\"",_name.c_str());
    
    for (std::list<Interface_fifo*>::iterator i  = _list_interface->begin();
	 i != _list_interface->end();
	 ++i)
      _return &= (*i)->test_map(top_level);

    log_printf(FUNC,Behavioural,FUNCTION,"End");
    
    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
